| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiPython.Bindings.iService Class Reference
Inheritance diagram for GaudiPython.Bindings.iService:
[legend]
Collaboration diagram for GaudiPython.Bindings.iService:
[legend]

## Public Member Functions
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

    Python equivalent to IProperty interface

Definition at line 362 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iService.__init__ | ( |  | self,
|  |  | name,
|  |  | isvc = `None`
| ) |  |

Definition at line 365 of file Bindings.py.

365 def __init__(self, name, isvc=None):
366 iProperty.__init__(self, name, isvc)
367 if isvc:
368 self.__dict__['_isvc'] = InterfaceCast(gbl.IService)(isvc)
369 else:
370 self.__dict__['_isvc'] = None
371
GaudiPython.Bindings.iService.__init__
def __init__(self, name, isvc=None)
Definition: Bindings.py:365
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:93

## Member Function Documentation

def GaudiPython.Bindings.iService.finalize | ( |  | self | ) |

Definition at line 384 of file Bindings.py.

384 def finalize(self): return self.__call_interface_method__(
385 "_isvc", "finalize")
386
GaudiPython.Bindings.iService.finalize
def finalize(self)
Definition: Bindings.py:384
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iService.initialize | ( |  | self | ) |

Definition at line 377 of file Bindings.py.

377 def initialize(self): return self.__call_interface_method__(
378 "_isvc", "initialize")
379
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244
GaudiPython.Bindings.iService.initialize
def initialize(self)
Definition: Bindings.py:377

def GaudiPython.Bindings.iService.isValid | ( |  | self | ) |

Definition at line 393 of file Bindings.py.

393 def isValid(self):
394 if self._isvc:
395 return True
396 else:
397 return False
398
399 # ----iAlgorithm class---------------------------------------------------------
400
401
GaudiPython.Bindings.iService.isValid
def isValid(self)
Definition: Bindings.py:393

def GaudiPython.Bindings.iService.reinitialize | ( |  | self | ) |

Definition at line 387 of file Bindings.py.

387 def reinitialize(self): return self.__call_interface_method__(
388 "_isvc", "reinitialize")
389
GaudiPython.Bindings.iService.reinitialize
def reinitialize(self)
Definition: Bindings.py:387
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iService.restart | ( |  | self | ) |

Definition at line 390 of file Bindings.py.

390 def restart(self): return self.__call_interface_method__(
391 "_isvc", "restart")
392
GaudiPython.Bindings.iService.restart
def restart(self)
Definition: Bindings.py:390
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iService.retrieveInterface | ( |  | self | ) |

Definition at line 372 of file Bindings.py.

372 def retrieveInterface(self):
373 isvc = Helper.service(self._svcloc, self._name)
374 if isvc:
375 iService.__init__(self, self._name, isvc)
376
GaudiPython.Bindings.iService.retrieveInterface
def retrieveInterface(self)
Definition: Bindings.py:372

def GaudiPython.Bindings.iService.start | ( |  | self | ) |

Definition at line 380 of file Bindings.py.

380 def start(self): return self.__call_interface_method__("_isvc", "start")
381
GaudiPython.Bindings.iService.start
def start(self)
Definition: Bindings.py:380
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

def GaudiPython.Bindings.iService.stop | ( |  | self | ) |

Definition at line 382 of file Bindings.py.

382 def stop(self): return self.__call_interface_method__("_isvc", "stop")
383
GaudiPython.Bindings.iService.stop
def stop(self)
Definition: Bindings.py:382
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py